Message: Re: Geant4/Qt installation error Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Idea Re: Geant4/Qt installation error 

Forum: Installation and Configuration
Re: Question Geant4/Qt installation error (Carolina Cechinel)
Date: 06 Jun, 2016
From: Carolina Cechinel <Carolina Cechinel>

We could solve it by changing the Geant4InterfaceOptions.cmake.

We opened Geant4InterfaceOptions.cmake: Users/carolinacechinel/software/geant4.10.02.p01/cmake/Modules/Geant4InterfaceOptions.cmake

We changed these lines:

 if(NOT GEANT4_FORCE_QT4)
    find_package(Qt5)
    find_package(Qt5Core)

Then the path used was the path for the Qt5Config.cmake: /Users/carolinacechinel/software/Qt/5.6/clang_64/lib/cmake/Qt5/Qt5Config.cmake

We typed this command and it worked:

cmake -DCMAKE_INSTALL_PREFIX=/Users/carolinacechinel/software/geant4.10.02.p01-install -DGEANT4_INSTALL_DATA=ON -DGEANT4_USE_QT=ON -DGEANT4_FORCE_QT4=OFF -DCMAKE_PREFIX_PATH=/Users/carolinacechinel/software/Qt/5.6/clang_64/lib/cmake -DGEANT4_USE_SYSTEM_EXPAT=OFF /Users/carolinacechinel/software/geant4.10.02.p01

It should be fixed.

Cheers,

Carolina

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4/Qt installation error   (Garnier Laurent - 07 Jun, 2016)
 Add Message Add Message
to: "Re: Geant4/Qt installation error"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]